Package: org.grails.cli.interactive.completers

## [Groovy] Class DomainClassCompleter

- org.grails.cli.interactive.completers.DomainClassCompleter

-     @groovy.transform.CompileStatic
      class DomainClassCompleter
      extends ClassNameCompleter

  A completer for domain classes

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassNameCompleter` | `RESOURCE_SCAN_CACHE, allCompeters, baseDirs, resourcePatternResolver`
    `class StringsCompleter` | `strings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassCompleter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isValidResource(Resource resource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassNameCompleter` | `initialize, isValidResource, refresh, refreshAll`
    `class StringsCompleter` | `complete, getStrings, setStrings`

- - ### Constructor Detail

    - #### DomainClassCompleter()

  - ### Method Detail

    - #### @java.lang.Override boolean isValidResource(Resource resource)